package com.mdd.admin.vo.system;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("当前系统管理员Vo")
public class SystemAuthAdminSelvesVo {
   @ApiModelProperty("用户信息")
   private Object user;
   @ApiModelProperty("权限集合: [[*]=>所有权限, ['article:add']=>部分权限]")
   private Object permissions;

   public Object getUser() {
      return this.user;
   }

   public Object getPermissions() {
      return this.permissions;
   }

   public void setUser(Object user) {
      this.user = user;
   }

   public void setPermissions(Object permissions) {
      this.permissions = permissions;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SystemAuthAdminSelvesVo)) {
         return false;
      } else {
         SystemAuthAdminSelvesVo other = (SystemAuthAdminSelvesVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$user = this.getUser();
            Object other$user = other.getUser();
            if (this$user == null) {
               if (other$user != null) {
                  return false;
               }
            } else if (!this$user.equals(other$user)) {
               return false;
            }

            Object this$permissions = this.getPermissions();
            Object other$permissions = other.getPermissions();
            if (this$permissions == null) {
               if (other$permissions != null) {
                  return false;
               }
            } else if (!this$permissions.equals(other$permissions)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SystemAuthAdminSelvesVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $user = this.getUser();
      result = result * 59 + ($user == null ? 43 : $user.hashCode());
      Object $permissions = this.getPermissions();
      result = result * 59 + ($permissions == null ? 43 : $permissions.hashCode());
      return result;
   }

   public String toString() {
      return "SystemAuthAdminSelvesVo(user=" + this.getUser() + ", permissions=" + this.getPermissions() + ")";
   }
}
